Bug 565599 - NameError: global name 'FIRSTBOOT_DEFAULT' is not defined
Summary: NameError: global name 'FIRSTBOOT_DEFAULT' is not defined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:a48ec3f607676d5e9...
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-15 17:59 UTC by James Laska
Modified: 2013-09-02 06:44 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-24 18:08:36 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (372.69 KB, text/plain)
2010-02-15 17:59 UTC, James Laska
no flags Details

Description James Laska 2010-02-15 17:59:21 UTC
The following was filed automatically by anaconda:
anaconda 13.26 exception report
Traceback (most recent call first):
  File "/usr/bin/anaconda", line 493, in firstboot
    return FIRSTBOOT_DEFAULT
  File "/usr/lib/anaconda/packages.py", line 52, in firstbootConfiguration
    if anaconda.firstboot == FIRSTBOOT_RECONFIG:
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1311, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1332, in handleRenderCallback
    self.currentWindow.renderCallback()
NameError: global name 'FIRSTBOOT_DEFAULT' is not defined

Comment 1 James Laska 2010-02-15 17:59:24 UTC
Created attachment 394362 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2010-02-15 18:00:40 UTC
While testing an updates.img to work around bug#565592 (see http://jlaska.fedorapeople.org/updates-565592.img), I run into this problem after package install.

Comment 3 James Laska 2010-02-15 18:25:55 UTC
Applied fix to updates.img for testing (see http://jlaska.fedorapeople.org/updates-565599.img).

Comment 4 James Laska 2010-02-24 18:08:36 UTC
Fixed in anaconda-13.29


Note You need to log in before you can comment on or make changes to this bug.